# $Revision: 1.12 $, $Date: 2011/06/28 18:54:02 $
Summary:	Framework for writing object oriented applications in emacs lisp
Summary(pl.UTF-8):	Szkielet do pisania w emacs lispie aplikacji zorientowanych obiektowo
Name:		xemacs-eieio-pkg
%define 	srcname	eieio
Version:	1.07
Release:	1
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	http://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	13555abcc020c4c647a10c2a702604da
URL:		http://www.xemacs.org/
BuildArch:	noarch
Requires:	xemacs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EIEIO is a framework for writing object oriented applications in emacs
lisp, and is a result of my taking various object oriented classes at
work and my attempt to understand some of it better by implementing
it. The real reason I started eieio is because someone in one of my
classes said "I bet emacs can't do that!". Well then, I just had to
prove them wrong!

%description -l pl.UTF-8
EIEIO to szkielet do pisania w emacs lispie aplikacji zorientowanych
obiektowo. Jest wynikiem nauki programowania obiektowego, prób jego
lepszego zrozumienia poprzez zaimplementowanie oraz potrzeby
pokazania nieprawdziwości stwierdzenia "Emacs tego nie umie!".

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# %doc lisp/eieio/ChangeLog
# %{_datadir}/xemacs-packages%{_sysconfdir}/*
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*
%{_datadir}/xemacs-packages/pkginfo/*
%{_datadir}/xemacs-packages/info/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-eieio-pkg.spec,v $
Revision 1.12  2011/06/28 18:54:02  marti
- up to 1.07

Revision 1.11  2011/02/06 16:50:46  sparky
- unified %clean section

Revision 1.10  2007/04/06 22:45:15  qboosh
- changed Source0 to http as ftp no longer works

Revision 1.9  2007/02/12 22:09:22  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:38  baggins
- converted to UTF-8

Revision 1.7  2004/09/19 22:09:06  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.6  2003/11/26 13:16:20  speedy
updated to  1.05

Revision 1.5  2003/09/09 10:24:59  ankry
- spaces -> tab

Revision 1.4  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:28:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/29 19:26:51  qboosh
- pl

Revision 1.1  2003/03/28 17:37:18  pawelk
new. STBR
